Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.util
Class MalletLogger

    java.lang.Object
      java.util.logging.Logger
          cc.mallet.util.MalletLogger

Direct Known Subclasses:
  MalletProgressMessageLogger

    public class MalletLogger

extends java.util.logging.Logger

Field Summary
`static java.util.logging.Level[]` | `LoggingLevels`

Fields inherited from class java.util.logging.Logger
`global`

Constructor Summary
`protected` | `MalletLogger(java.lang.String name, java.lang.String resourceBundleName)`

Method Summary
`static java.util.logging.Logger` | `getLogger(java.lang.String name)`
`java.util.logging.Logger` | `getRootLogger()` Convenience method for finding the root logger.

Methods inherited from class java.util.logging.Logger
`addHandler, config, entering, entering, entering, exiting, exiting, fine, finer, finest, getAnonymousLogger, getAnonymousLogger, getFilter, getHandlers, getLevel, getLogger, getName, getParent, getResourceBundle, getResourceBundleName, getUseParentHandlers, info, isLoggable, log, log, log, log, log, logp, logp, logp, logp, logrb, logrb, logrb, logrb, removeHandler, setFilter, setLevel, setParent, setUseParentHandlers, severe, throwing, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LoggingLevels

    public static java.util.logging.Level[] LoggingLevels

Constructor Detail

### MalletLogger

    protected MalletLogger(java.lang.String name,
                           java.lang.String resourceBundleName)

Method Detail

### getLogger

    public static java.util.logging.Logger getLogger(java.lang.String name)

### getRootLogger

    public java.util.logging.Logger getRootLogger()

  Convenience method for finding the root logger.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD